<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: util/calAfe2fe.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_81f17f03227d7067ce13f3651b0bf66b.html">util</a>
  </div>
</div>
<div class="contents">
<h1>calAfe2fe.c File Reference</h1><code>#include &quot;<a class="el" href="util_8h_source.html">util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for calAfe2fe.c:</div>
<div class="dynsection">
<div class="center"><img src="calAfe2fe_8c__incl.png" border="0" usemap="#util_2calAfe2fe_8c_map" alt=""/></div>
<map name="util_2calAfe2fe_8c_map" id="util_2calAfe2fe_8c">
<area shape="rect" id="node3" href="util_8h.html" title="util.h" alt="" coords="176,86,227,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="calAfe2fe_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="calAfe2fe_8c.html#ab8a17bd7aebfe396839620a814ec3e4d">DIST</a>&nbsp;&nbsp;&nbsp;1e-12</td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="calAfe2fe_8c.html#a7613b5168812007047e19cf17cc3efa1">CalAfe2fe</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, PetscReal *shift, int *slice_id, Mat *pAIpol)</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="ab8a17bd7aebfe396839620a814ec3e4d"></a><!-- doxytag: member="calAfe2fe.c::DIST" ref="ab8a17bd7aebfe396839620a814ec3e4d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DIST&nbsp;&nbsp;&nbsp;1e-12</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a7613b5168812007047e19cf17cc3efa1"></a><!-- doxytag: member="calAfe2fe.c::CalAfe2fe" ref="a7613b5168812007047e19cf17cc3efa1" args="(GridData *gdata, PetscReal *shift, int *slice_id, Mat *pAIpol)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CalAfe2fe </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>shift</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>slice_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Mat *&nbsp;</td>
          <td class="paramname"> <em>pAIpol</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="calAfe2fe_8c_source.html#l00029">29</a> of file <a class="el" href="calAfe2fe_8c_source.html">calAfe2fe.c</a>.</p>

<p>References <a class="el" href="barycent_8c_source.html#l00090">barycent()</a>, <a class="el" href="writedatadat_8c.html#ab8a17bd7aebfe396839620a814ec3e4d">DIST</a>, <a class="el" href="griddata_8h_source.html#l00189">GridData::eleprop</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00127">my_dcopy</a>, <a class="el" href="griddata_8h_source.html#l00129">my_dscal</a>, <a class="el" href="griddata_8h_source.html#l00220">GridData::n_prop</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, <a class="el" href="printmatinfo_8c_source.html#l00092">PrintMatInfoAll()</a>, <a class="el" href="progressbar_8c_source.html#l00029">ProgressBar()</a>, <a class="el" href="griddata_8h_source.html#l00179">GridData::vertl2g</a>, and <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="calAfe2fe_8c_a7613b5168812007047e19cf17cc3efa1_cgraph.png" border="0" usemap="#calAfe2fe_8c_a7613b5168812007047e19cf17cc3efa1_cgraph_map" alt=""></div>
<map name="calAfe2fe_8c_a7613b5168812007047e19cf17cc3efa1_cgraph_map" id="calAfe2fe_8c_a7613b5168812007047e19cf17cc3efa1_cgraph">
<area shape="rect" id="node3" href="barycent_8c.html#ac3e1493d687d06e1258e781a9fdf5a90" title="barycent" alt="" coords="301,5,373,35"/><area shape="rect" id="node7" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="135,57,241,87"/><area shape="rect" id="node13" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="141,110,235,141"/><area shape="rect" id="node5" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="432,57,547,87"/><area shape="rect" id="node10" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="291,109,384,139"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

